require 'fileutils'

module Peridot
  module FileAccess
    include ::FileUtils

    def generate_file source, target
      puts "Generating #{target}"
      template = ERB.new File.read source
      template.filename = target
      File.open(target, 'w') { |f| f.write template.result(binding) }
    end

    def home_file file
      File.join Dir.home, file
    end

    def repo_file file
      File.join Dir.pwd, file
    end

    def link_file source, target
      rm_f target
      ln_s source, target
    end
  end
end
